apiVersion: v1
kind: Namespace
metadata:
  name: testtenant
---
apiVersion: v1
kind: Namespace
metadata:
  name: testtenant2
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-web
  namespace: testtenant
spec:
  replicas: 1
  selector:
    matchLabels:
      app: test-web
  template:
    metadata:
      labels:
        app: test-web
    spec:
      containers:
      - name: nginx
        image: nginxinc/nginx-unprivileged
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: test-web
  namespace: testtenant
spec:
  selector:
    app: test-web
  ports:
  - port: 80
    targetPort: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-client
  namespace: testtenant
spec:
  replicas: 1
  selector:
    matchLabels:
      app: test-client
  template:
    metadata:
      labels:
        app: test-client
    spec:
      containers:
      - name: curl
        image: curlimages/curl:latest
        command: ["/bin/sh", "-c", "sleep 3600"]
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-web
  namespace: testtenant2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: test-web
  template:
    metadata:
      labels:
        app: test-web
    spec:
      containers:
      - name: nginx
        image: nginxinc/nginx-unprivileged
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: test-web
  namespace: testtenant2
spec:
  selector:
    app: test-web
  ports:
  - port: 80
    targetPort: 8080
